
%if 0%{?gitcount} > 0
%define gitsuffix -%{gitcount}-g%{gitrev}
%define relsuffix .git%{gitcount}_%{gitrev}
%endif

%define use_gnutls 1

%define use_libproxy 1
%define use_tokens 1

%define use_ocserv 1
%define use_softhsm 1

%define use_tss2_esys 1

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:		openconnect
Version:	9.12
Release:    	2%{?dist}
Summary:	Open multi-protocol SSL VPN client

License:	LGPLv2+
URL:		http://www.infradead.org/openconnect.html
Source0:	ftp://ftp.infradead.org/pub/openconnect/openconnect-%{version}%{?gitsuffix}.tar.gz
%if 0%{?gitcount} == 0
Source1:	ftp://ftp.infradead.org/pub/openconnect/openconnect-%{version}%{?gitsuffix}.tar.gz.asc
%endif
Source2:	gpgkey-BE07D9FD54809AB2C4B0FF5F63762CDA67E2F359.asc

BuildRequires:  make xdg-utils
BuildRequires:	pkgconfig(libxml-2.0) pkgconfig(libpcsclite) krb5-devel gnupg2
BuildRequires:	autoconf automake libtool gettext pkgconfig(liblz4)
BuildRequires:	pkgconfig(uid_wrapper) pkgconfig(socket_wrapper)
%if %{use_softhsm}
BuildRequires:	softhsm
%endif
Requires:	vpnc-script

BuildRequires: glibc-langpack-cs
%if %{use_gnutls}
BuildRequires:	pkgconfig(gnutls) trousers-devel
%if %{use_ocserv}
BuildRequires:	ocserv
%endif
%else
BuildRequires:	pkgconfig(openssl) pkgconfig(libp11) pkgconfig(p11-kit-1)
%endif
%if %{use_libproxy}
BuildRequires:	pkgconfig(libproxy-1.0)
%endif
%if %{use_tokens}
BuildRequires:  pkgconfig(stoken) pkgconfig(libpskc)
%endif
%if %{use_tss2_esys}
BuildRequires: pkgconfig(tss2-esys) libgcrypt-devel
%endif

%description
This package provides a multi-protocol VPN client for Cisco AnyConnect,
Juniper SSL VPN, Pulse/Ivanti Pulse Connect Secure, F5 BIG-IP, Fortinet
Palo Alto Networks GlobalProtect SSL VPN, Array Networks SSL VPN.

%package devel
Summary: Development package for OpenConnect VPN authentication tools
Requires: %{name} = %{version}-%{release}

%description devel
This package provides the core HTTP and authentication support from
the OpenConnect VPN client, to be used by GUI authentication dialogs
for NetworkManager etc.

%prep
%if 0%{?gitcount} == 0
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%endif

%autosetup -n openconnect-%{version}%{?gitsuffix} -p1

%build
%configure	--with-vpnc-script=/etc/vpnc/vpnc-script \
		--disable-dsa-tests \
%if %{use_gnutls}
		--with-default-gnutls-priority="@OPENCONNECT,SYSTEM" \
		--without-gnutls-version-check \
%else
		--with-openssl --without-openssl-version-check \
%endif
		--htmldir=%{_pkgdocdir}
make %{?_smp_mflags} V=1


%install
%make_install
mkdir -p %{buildroot}/%{_pkgdocdir}
rm -f %{buildroot}/%{_libdir}/libopenconnect.la
rm -f %{buildroot}/%{_libexecdir}/openconnect/tncc-wrapper.py
rm -f %{buildroot}/%{_libexecdir}/openconnect/hipreport-android.sh
%find_lang %{name}

%check
make VERBOSE=1 check XFAIL_TESTS=obsolete-server-crypto


%files -f %{name}.lang
%{_libdir}/libopenconnect.so.5*
%{_sbindir}/openconnect
%{_libexecdir}/openconnect/
%{_mandir}/man8/*
%{_datadir}/bash-completion/completions/openconnect
%doc TODO COPYING.LGPL
%doc %{_pkgdocdir}

%files devel
%{_libdir}/libopenconnect.so
%{_includedir}/openconnect.h
%{_libdir}/pkgconfig/openconnect.pc

%changelog
* Tue Sep 3 2024 Ze Zhang <bbrucezhang@tencent.com> - 9.12-2
- [Type] other
- [DESC] Remove not used macors

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.12-1
- initial build
